Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

RSSOwl doesn't start after FF 10 install

Help
2012-03-02
2012-08-29
  • rssowl64rhel
    rssowl64rhel
    2012-03-02

    Hi all,

    after installing Firefox 10 on RHEL 6.2 RSSOwl stops working.

    Using XULRunner 1.9.2 (http://www.rssowl.org/help#item_6j) doesn't solve the problem:

    ============== .log =========================

    ...

    BootLoader constants: OS=linux, ARCH=x86_64, WS=gtk, NL=en_US

    Command-line arguments: -os linux -ws gtk -arch x86_64

    !ENTRY org.rssowl.ui 1 0 2012-03-02 13:00:58.132

    !MESSAGE RSSOwl Starting Up (RSSOwl/2.1.2.201108131749 (X11; U; en))

    !ENTRY org.rssowl.ui 1 0 2012-03-02 13:01:07.681

    !MESSAGE Error loading XULRunner from system property ('/opt/xulrunner/1.9.2')

    !ENTRY org.rssowl.ui 1 0 2012-03-02 13:01:07.704

    !MESSAGE Error loading system default XULRunner

    !ENTRY org.rssowl.ui 1 0 2012-03-02 13:01:08.026

    !MESSAGE Error loading XULRunner from bundled version

    !ENTRY org.eclipse.osgi 4 0 2012-03-02 13:01:11.018

    !MESSAGE Application error

    !STACK 1

    org.eclipse.swt.SWTError: XPCOM error -2147467259

    at org.eclipse.swt.browser.Mozilla.error(Mozilla.java:2502)

    ..

    Any ideas?

    Thanks for your support.

    Matthias

     
  • genodeftest
    genodeftest
    2012-03-02

    Hi

    Do you have the xulrunner 1.9.2 package installed?

    http://www.rssowl.org/help#item_6j :
    do you have the x64 version installed?

    Did you update to Firefox 10 or did you newly install it?

    Which Xulrunner is located under /opt/xulrunner/1.9.2 ?

     
  • genodeftest
    genodeftest
    2012-03-02

    Which version of libhunspell do you have installed?

     
  • rssowl64rhel
    rssowl64rhel
    2012-03-02

    2:

    • yes, 1.9.2 is installed, but a x32 package (there was no x64 download available)
    • FF was updated (via Software Update)

    3:

    • libhunspell - where is it located?
     
  • rssowl64rhel
    rssowl64rhel
    2012-03-02

    i've tried also to point RSSOwl to the /usr/lib/xulrunner-compat/ without
    success

     
  • genodeftest
    genodeftest
    2012-03-02

    2:

    the x64 version of RSSOwl does need a x64 xulrunner. Where did you get the x32
    package?

    Was any package removed by updating Firefox?

    3

    your operating system's libhunspell. Just look it up in your package manager.

    5

    Which one is that? (Version, architecture)

    Did you set the parameter in the RSSOwl.ini file (
    http://www.rssowl.org/help#item_6j )?

     
  • genodeftest
    genodeftest
    2012-03-02

    According to http://ftp.mozilla.org/pub/mozilla.org/xulrunner/releases/ the latest stable
    XULRunner 1.9.2 is still 1.9.2.19 which is (should be?) shipped with RSSOwl.
    Did you install RSSOwl from Repository?

     
  • rssowl64rhel
    rssowl64rhel
    2012-03-02

    8 .. yes, http://www.rssowl.org/download

    --> rssowl-2.1.2.linux.x86_64.zip

    from the shipped xulrunner (according to the platform.ini):

    BuildID=20110424121034

    Milestone=1.9.2.17